#!/bin/bash
# script assume that instal folder is called inst and exists in a build folder

MY_DIR=$(cd "$(dirname "$0")"; pwd)
BUILD_DIR=${MY_DIR}/build
if [ -d $BUILD_DIR ]; then
rm -rf $BUILD_DIR	
fi
mkdir ${BUILD_DIR}
cd ${BUILD_DIR}
mkdir ${BUILD_DIR}/inst
cp -avf ${BUILD_DIR}/../../slicer-build-environment/build/inst/. ${BUILD_DIR}/inst/
${MY_DIR}/env_osx.sh
cmake .. -DCMAKE_PREFIX_PATH=${BUILD_DIR}/inst -DCMAKE_BUILD_TYPE=Release -DCURA_VERSION_MAJOR="1" -DCURA_VERSION_MINOR="1" -DCURA_VERSION_PATCH="7" -DBRANCH_NAME="development" -DBUILD_64BIT=ON -DSIGN_PACKAGE=NO ..
make -j 4