import QtQuick 2.4
import Settings 1.0 as Settings

AdditionsButtonForm {

    Connections {
        target: autoMouseArea
        onClicked: {
            spinBoxAlias.initCuraParam()
            onAutoClicked()
        }
    }

    Connections {
        target: undoMouseArea
        onClicked: {
            spinBoxAlias.resetCuraParam()
            onUndoClicked()
        }
    }

    function onUndoClicked() {
        spinBox = false
        auto = true
        customSettingsCounter--
        updateCurrentOption()
    }

    function onAutoClicked() {
        spinBox = true
        auto = false
        customSettingsCounter++
        updateCurrentOption()
    }
}
