import QtQuick 2.0
import QtQuick.Layouts 1.1

import "../tweaks"
import "../singletons"

Rectangle {

    property alias buttonText:      text.text
    property alias buttonMouseArea: mouseArea

    id:    sliderButton
    color: Colors.spinBoxButton

    Text {
        id:               text
        font.pixelSize:   Globals.fontPixelSize
        font.weight:      Font.Black
        font.family:      Fonts.boxed
        anchors.centerIn: parent
        color:            Colors.spinBoxButtonText
    }

    MouseArea {
        id:           mouseArea
        anchors.fill: parent
    }

}
