import QtQuick 2.4
import QtQuick.Layouts 1.2

import "../singletons"

Text {
    property string label: "label"
    property string value: ""
    
    Layout.fillWidth: true
    text: "<font color='" + Colors.buttonOptionText + "'>" + label + (value !== "" ? ": </font>" + value : "</font>")
    width: parent.width
    wrapMode: Text.Wrap
    font.pixelSize: Globals.fontPixelSize
    font.family: Fonts.boxed
    color: Colors.profileDetailsText
}