// Copyright (c) 2015 Ultimaker B.V.
// Uranium is released under the terms of the AGPLv3 or higher.

import QtQuick 2.1
import QtQuick.Controls 1.1

import "../../singletons"

SettingItem
{
    contents: Label
    {
        anchors.fill: parent
        text: value + " " + unit;

        font.family: Fonts.boxed
        font.pixelSize: Globals.fontPixelSize
        color: Colors.customSettingsLabel

        verticalAlignment: Qt.AlignVCenter
    }
}
